org.wildfly.swarm.config

## Class JGroups<T extends JGroups<T>>

- java.lang.Object
- - org.wildfly.swarm.config.JGroups<T>

- Direct Known Subclasses:
    JGroupsFraction

      public class JGroups<T extends JGroups<T>>
      extends Object

  The configuration of the JGroups subsystem.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JGroups.JGroupsResources` Child mutators for JGroups

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroups()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `channel(Channel value)` Add the Channel object to the list of subresources
    `T` | `channel(ChannelSupplier supplier)` Install a supplied Channel object to the list of subresources
    `T` | `channel(String childKey)` Create and configure a Channel object to the list of subresources
    `T` | `channel(String childKey, ChannelConsumer consumer)` Create and configure a Channel object to the list of subresources
    `T` | `channels(List<Channel> value)` Add all Channel objects to this subresource
    `String` | `defaultChannel()` The default JGroups channel.
    `T` | `defaultChannel(String value)` The default JGroups channel.
    `String` | `defaultStack()` The default JGroups protocol stack.
    `T` | `defaultStack(String value)` The default JGroups protocol stack.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `stack(Stack value)` Add the Stack object to the list of subresources
    `T` | `stack(StackSupplier supplier)` Install a supplied Stack object to the list of subresources
    `T` | `stack(String childKey)` Create and configure a Stack object to the list of subresources
    `T` | `stack(String childKey, StackConsumer consumer)` Create and configure a Stack object to the list of subresources
    `T` | `stacks(List<Stack> value)` Add all Stack objects to this subresource
    `JGroups.JGroupsResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroups

          public JGroups()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public JGroups.JGroupsResources subresources()

    - #### stacks

          public T stacks(List<Stack> value)

      Add all Stack objects to this subresource
      Parameters:
        `value` - List of Stack objects.
      Returns:
        this

    - #### stack

          public T stack(Stack value)

      Add the Stack object to the list of subresources
      Parameters:
        `value` - The Stack to add
      Returns:
        this

    - #### stack

          public T stack(String childKey,
                         StackConsumer consumer)

      Create and configure a Stack object to the list of subresources
      Parameters:
        `key` - The key for the Stack resource
        `config` - The StackConsumer to use
      Returns:
        this

    - #### stack

          public T stack(String childKey)

      Create and configure a Stack object to the list of subresources
      Parameters:
        `key` - The key for the Stack resource
      Returns:
        this

    - #### stack

          public T stack(StackSupplier supplier)

      Install a supplied Stack object to the list of subresources

    - #### channels

          public T channels(List<Channel> value)

      Add all Channel objects to this subresource
      Parameters:
        `value` - List of Channel objects.
      Returns:
        this

    - #### channel

          public T channel(Channel value)

      Add the Channel object to the list of subresources
      Parameters:
        `value` - The Channel to add
      Returns:
        this

    - #### channel

          public T channel(String childKey,
                           ChannelConsumer consumer)

      Create and configure a Channel object to the list of subresources
      Parameters:
        `key` - The key for the Channel resource
        `config` - The ChannelConsumer to use
      Returns:
        this

    - #### channel

          public T channel(String childKey)

      Create and configure a Channel object to the list of subresources
      Parameters:
        `key` - The key for the Channel resource
      Returns:
        this

    - #### channel

          public T channel(ChannelSupplier supplier)

      Install a supplied Channel object to the list of subresources

    - #### defaultChannel

          public String defaultChannel()

      The default JGroups channel.

    - #### defaultChannel

          public T defaultChannel(String value)

      The default JGroups channel.

    - #### defaultStack

          public String defaultStack()

      The default JGroups protocol stack.

    - #### defaultStack

          public T defaultStack(String value)

      The default JGroups protocol stack.

Copyright © 2017 JBoss by Red Hat. All rights reserved.